- Extending Qt Creator Manual
- QtCreator
- MultiSelectionAspect
- Extending Qt Creator Manual 13.0.0

# MultiSelectionAspect Class

class Utils::MultiSelectionAspect

A multi-selection aspect represents one or more choices out of several. More...

Header: | #include <MultiSelectionAspect>
Inherits: | Utils::TypedAspect

- List of all members, including inherited members

## Reimplemented Public Functions

virtual void | addToLayout(Layouting::LayoutItem &builder) override

## Detailed Description

The multi-selection aspect is displayed using a QListWidget with checkable items.

## Member Function Documentation

### `[override virtual]` void MultiSelectionAspect::addToLayout(Layouting::LayoutItem &builder)

Reimplements: BaseAspect::addToLayout(Layouting::LayoutItem &parent).